cancel
Showing results for 
Search instead for 
Did you mean: 

pulseUi doesn't work in ubuntu 20.04

SOLVED
Highlighted
New Contributor

pulseUi doesn't work in ubuntu 20.04

Could you help me to fix pulseUi on Ubuntu 20.04?

 

/usr/local/pulse/pulseUi: error while loading shared libraries: libwebkitgtk-1.0.so.0: cannot open shared object file: No such file or directory

Thank you!

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
New Contributor

Re: pulseUi doesn't work in ubuntu 20.04


@bhccomp wrote:

I got the same error trying to lunch UI client on Ubuntu 20.04. Any update?


Ok here's the solution... 

I've followed these instructions: https://askubuntu.com/questions/1135065/cant-run-pulse-secure-on-ubuntu-19-04-because-libwebkitgtk-1... with only difference here: 

So instead version 19: 

sed -i "s/UBUNTU_VER\ \=\ 18\ \]/& \|\|\ [\ \$UBUNTU_VER\ \=\ 19 \]/" PulseClient_x86_64.sh

replace this line with your current version, in my case: 

sed -i "s/UBUNTU_VER\ \=\ 18\ \]/& \|\|\ [\ \$UBUNTU_VER\ \=\ 20 \]/" PulseClient_x86_64.sh

Then, do the rest and after that install this package: https://ubuntu.pkgs.org/18.04/ubuntu-main-amd64/libenchant1c2a_1.6.0-11.1_amd64.deb.html 

sudo apt-get install libenchant1c2a

You should be able to run Pulse UI now by running this command: 

/usr/local/pulse/pulseUi


It worked for me. Good luck! Smiley Happy 

 

View solution in original post

5 REPLIES 5
Highlighted
New Contributor

Re: pulseUi doesn't work in ubuntu 20.04

I got the same error trying to lunch UI client on Ubuntu 20.04. Any update?

Highlighted
New Contributor

Re: pulseUi doesn't work in ubuntu 20.04


@bhccomp wrote:

I got the same error trying to lunch UI client on Ubuntu 20.04. Any update?


Ok here's the solution... 

I've followed these instructions: https://askubuntu.com/questions/1135065/cant-run-pulse-secure-on-ubuntu-19-04-because-libwebkitgtk-1... with only difference here: 

So instead version 19: 

sed -i "s/UBUNTU_VER\ \=\ 18\ \]/& \|\|\ [\ \$UBUNTU_VER\ \=\ 19 \]/" PulseClient_x86_64.sh

replace this line with your current version, in my case: 

sed -i "s/UBUNTU_VER\ \=\ 18\ \]/& \|\|\ [\ \$UBUNTU_VER\ \=\ 20 \]/" PulseClient_x86_64.sh

Then, do the rest and after that install this package: https://ubuntu.pkgs.org/18.04/ubuntu-main-amd64/libenchant1c2a_1.6.0-11.1_amd64.deb.html 

sudo apt-get install libenchant1c2a

You should be able to run Pulse UI now by running this command: 

/usr/local/pulse/pulseUi


It worked for me. Good luck! Smiley Happy 

 

View solution in original post

Highlighted
New Member

Re: pulseUi doesn't work in ubuntu 20.04

Does not work because of missing libgnome-keyring.

Highlighted
New Member

Re: pulseUi doesn't work in ubuntu 20.04

Symptom:
Unable to install Pulse Secure (pulseUi) in Ubuntu 20.04 correctly.
Error message "missing libwebkitgtk"

 

Cause:
Library is not available in Ubuntu 20.04.
Works fine in Ubuntu 18.04

 

Solution:

Install using package repository of Ubuntu 18.04

 

Steps:

1. Set repository to 18.04

$ cat /etc/apt/sources.list
deb http://my.archive.ubuntu.com/ubuntu/ bionic main restricted
deb http://my.archive.ubuntu.com/ubuntu/ bionic universe
deb http://my.archive.ubuntu.com/ubuntu/ bionic multiverse
deb http://security.ubuntu.com/ubuntu bionic-security main restricted
deb http://security.ubuntu.com/ubuntu bionic-security universe
deb http://security.ubuntu.com/ubuntu bionic-security multiverse
deb [arch=amd64] https://download.docker.com/linux/ubuntu bionic stable

$ sudo apt update

2. Install latest Pulse Secure client from official website

$ sudo dpkg -i ps-pulse-linux-9.1r4.0-b143-ubuntu-debian-64-bit-installer.deb

3. Install dependency

$ sudo /usr/local/pulse/PulseClient_x86_64.sh install_dependency_packages

4. Launch Pulse Secure. Should works fine now

$ /usr/local/pulse/pulseUi

5. Change repository back to Ubuntu 20.04

$ cat /etc/apt/sources.list
deb http://archive.ubuntu.com/ubuntu focal main restricted
deb http://archive.ubuntu.com/ubuntu focal universe
deb http://archive.ubuntu.com/ubuntu focal multiverse
deb http://archive.ubuntu.com/ubuntu focal-security main restricted
deb http://archive.ubuntu.com/ubuntu focal-security universe
deb http://archive.ubuntu.com/ubuntu focal-security multiverse

$ sudo apt update

 

Highlighted
New Member

Re: pulseUi doesn't work in ubuntu 20.04

Here is a much better solution which is verified by a Pulse Connect Secure Certified Expert.

 

I simply did:

sudo add-apt-repository 'deb http://archive.ubuntu.com/ubuntu bionic main universe'
sudo apt install -t bionic libwebkitgtk-1.0-0
sudo dpkg -i ps-pulse-linux-9.1r5.0-b151-ubuntu-debian-64-bit-installer.deb